Package com.avaya.clientservices.media

## Class AvayaAudioUtils

- java.lang.Object
- - com.avaya.clientservices.media.AvayaAudioUtils

-     public final class AvayaAudioUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AvayaAudioUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `deviceIsBlacklistedForOpenSLESUsage()` |
    `static java.util.List<java.lang.String>` | `getBlackListedModelsForAecUsage()` |
    `static java.util.List<java.lang.String>` | `getBlackListedModelsForAgcUsage()` |
    `static java.util.List<java.lang.String>` | `getBlackListedModelsForNsUsage()` |
    `static java.lang.String` | `getCurrentAbi()` |
    `static int` | `getDefaultSampleRateHz()` |
    `static java.lang.String` | `getThreadInfo()` |
    `static boolean` | `hasPermission​(android.content.Context context, java.lang.String permission)` |
    `static boolean` | `isDefaultSampleRateOverridden()` |
    `static void` | `logDeviceInfo()` |
    `static boolean` | `runningOnChromebook()` |
    `static boolean` | `runningOnEmulator()` |
    `static void` | `setDefaultSampleRateHz​(int sampleRateHz)` |
    `static void` | `setWebRtcBasedAcousticEchoCanceler​(boolean enable)` |
    `static void` | `setWebRtcBasedAutomaticGainControl​(boolean enable)` |
    `static void` | `setWebRtcBasedNoiseSuppressor​(boolean enable)` |
    `static boolean` | `useWebRtcBasedAcousticEchoCanceler()` |
    `static boolean` | `useWebRtcBasedAutomaticGainControl()` |
    `static boolean` | `useWebRtcBasedNoiseSuppressor()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvayaAudioUtils

          public AvayaAudioUtils()

  - ### Method Detail

    - #### setWebRtcBasedAcousticEchoCanceler

          public static void setWebRtcBasedAcousticEchoCanceler​(boolean enable)

    - #### setWebRtcBasedAutomaticGainControl

          public static void setWebRtcBasedAutomaticGainControl​(boolean enable)

    - #### setWebRtcBasedNoiseSuppressor

          public static void setWebRtcBasedNoiseSuppressor​(boolean enable)

    - #### useWebRtcBasedAcousticEchoCanceler

          public static boolean useWebRtcBasedAcousticEchoCanceler()

    - #### useWebRtcBasedAutomaticGainControl

          public static boolean useWebRtcBasedAutomaticGainControl()

    - #### useWebRtcBasedNoiseSuppressor

          public static boolean useWebRtcBasedNoiseSuppressor()

    - #### setDefaultSampleRateHz

          public static void setDefaultSampleRateHz​(int sampleRateHz)

    - #### isDefaultSampleRateOverridden

          public static boolean isDefaultSampleRateOverridden()

    - #### getDefaultSampleRateHz

          public static int getDefaultSampleRateHz()

    - #### getBlackListedModelsForAecUsage

          public static java.util.List<java.lang.String> getBlackListedModelsForAecUsage()

    - #### getBlackListedModelsForAgcUsage

          public static java.util.List<java.lang.String> getBlackListedModelsForAgcUsage()

    - #### getBlackListedModelsForNsUsage

          public static java.util.List<java.lang.String> getBlackListedModelsForNsUsage()

    - #### getThreadInfo

          public static java.lang.String getThreadInfo()

    - #### runningOnEmulator

          public static boolean runningOnEmulator()

    - #### runningOnChromebook

          public static boolean runningOnChromebook()

    - #### deviceIsBlacklistedForOpenSLESUsage

          public static boolean deviceIsBlacklistedForOpenSLESUsage()

    - #### getCurrentAbi

          public static java.lang.String getCurrentAbi()

    - #### logDeviceInfo

          public static void logDeviceInfo()

    - #### hasPermission

          public static boolean hasPermission​(android.content.Context context,
                                              java.lang.String permission)